| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_IS_PARENS_EMPTY

BOOST_VMD_IS_PARENS_EMPTY — Determines if the sequence is a set of parens with no data.

## Synopsis

    // In header: <boost/vmd/is_parens_empty.hpp>

    BOOST_VMD_IS_PARENS_EMPTY(sequence)

## Description

sequence = a VMD sequence

returns = 1 if the sequence is a set of parens with no data, else returns 0.

A set of parens with no data may be:

1) a tuple whose size is a single element which is empty or

2) a single element seq whose data is empty